Skip to content

Stop/Resume Alert

PUT
/api/v1/monitoring/single-service/stop_resume_alert/{alert_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/stop_resume_alert/{alert_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"action_type": "pause_alert"
}'

Pauses or resumes an alert based on the specified action type.

alert_id
required
integer
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
action_type
required

Action to perform on the alert (pause or resume)

string
Allowed values: pause_alert resume_alert

Alert resumed successfully

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "",
"errors": {},
"message": "Alert resumed successfully."
}